### Virtual Method

# Gtk TreeDragDestdrag_data_received

deprecated: 4.10

#### Declaration [src]

    gboolean
    drag_data_received (
      GtkTreeDragDest* drag_dest,
      GtkTreePath* dest,
      const GValue* value
    )

#### Description [src]

Asks the `GtkTreeDragDest` to insert a row before the path `dest`, deriving the contents of the row from `value`. If `dest` is outside the tree so that inserting before it is impossible, `FALSE` will be returned. Also, `FALSE` may be returned if the new row is not created for some model-specific reason. Should robustly handle a `dest` no longer found in the model!

Deprecated since: 4.10

Use list models instead.

#### Parameters

`dest`

  Type: `GtkTreePath`

  Row to drop in front of.

  The data is owned by the caller of the function.

`value`

  Type: `GValue`

  Data to drop.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

Whether a new row was created before position `dest`.